# Hyrax assumes all values are part of the service.
# If data is imported, there are situations when the id does not exist in the authority file.

Rails.configuration.to_prepare do
  Hyrax::QaSelectService.class_eval do
    def label(id, &block)
      begin
        authority.find(id).fetch('term', &block)
      rescue
        id
      end
    end
  end
end
